QGIS Application - Bug report #7660

all features disappear when editing layer feature(s) under {categorized,graduated,rule-based}
symbology

2013-04-20 01:12 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 16580
Description

That should be fixed prior to 2.0, pretty scary behavior. When a layer symbology is set to categorized, graduated, or rule-based, all
features will disappear when editing feature(s) on that layer. If the user then leave the edit mode (saving changes or not), all features will
reappear.

Steps to reproduce:

1. Load the attached shapefile (featuresgone.shp) into a new project

2. Open the featuresgone layer property window, switch style to categorized (using 'blah' column), and apply
3. Toggle edit mode on for the featuresgone layer

4. Move a feature with the node tool

At that stage, only the feature moved will remain visible, all the other features are gone. The features are still there, simply not drawn.
Saving the layer by leaving the edit mode will re-draw all features.

Data stays, but it's super scary behavior :)

Related issues:
Duplicates QGIS Application - Bug report # 7472: vector editing errors Closed 2013-03-29

History

#1 - 2013-04-20 01:18 AM - Giovanni Manghi

confirmed here.

#2 - 2013-04-20 01:25 AM - Mathieu Pellerin - nIRV

Forgot to mention that there is an error that shows up in the log window when going through the steps above which says: "Already active iterator on this
provider was closed".

#3 - 2013-04-23 03:19 AM - Olivier Dalang

It seems this was already reported twice :
#7321
#7472

#4 - 2013-05-28 08:42 PM - Nathan Woodrow
- Assignee set to Martin Dobias

#5 - 2013-05-28 09:00 PM - Mathieu Pellerin - nIRV
- Resolution set to duplicate
- Status changed from Open to Closed

Closing as this is reported already in other bugs, main one being #7472.

Files

featuresgone.zip.zip 1.26 KB
